package com.ruoyi.dz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单招省份状态对象 dz_control
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
public class DzControl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String startDate;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endDate;

    /** 是否生效(0:否,1:是) */
    @Excel(name = "是否生效(0:否,1:是)")
    private Integer isValid;

    /** 计划年度 */
    @Excel(name = "计划年度")
    private Integer planYear;

    /** 录取年度 */
    @Excel(name = "录取年度")
    private Integer submitYear;

    /** 开启考生 */
    @Excel(name = "开启考生")
    private String examTypes;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }

    public void setStartDate(String startDate) 
    {
        this.startDate = startDate;
    }

    public String getStartDate() 
    {
        return startDate;
    }

    public void setEndDate(String endDate) 
    {
        this.endDate = endDate;
    }

    public String getEndDate() 
    {
        return endDate;
    }

    public void setIsValid(Integer isValid) 
    {
        this.isValid = isValid;
    }

    public Integer getIsValid() 
    {
        return isValid;
    }

    public void setPlanYear(Integer planYear)
    {
        this.planYear = planYear;
    }

    public Integer getPlanYear()
    {
        return planYear;
    }

    public void setSubmitYear(Integer submitYear)
    {
        this.submitYear = submitYear;
    }

    public Integer getSubmitYear()
    {
        return submitYear;
    }

    public void setExamTypes(String examTypes) 
    {
        this.examTypes = examTypes;
    }

    public String getExamTypes() 
    {
        return examTypes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("location", getLocation())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .append("isValid", getIsValid())
            .append("planYear", getPlanYear())
            .append("submitYear", getSubmitYear())
            .append("examTypes", getExamTypes())
            .toString();
    }
}
